2 Replies Latest reply on Jan 14, 2010 2:52 PM by drewdown

    Help with EPO4.0 upgrade to 4.0P6

      It fails when it attempts to restart the services after the install, so it then rollsback to 4.0.

       

       

      I have attached my EPO400-CommonSetup.Log and my EPO400-Patch-MSI.log can somene help me out?

       

       

      Message was edited by: drewdown on 1/14/10 11:03:27 AM GMT-05:00
        • 1. Re: Help with EPO4.0 upgrade to 4.0P6

          core-patch.log as well:

           

               [echo] catalina.home is C:/PROGRA~1/McAfee/EPOLIC~1/server

           

          backup-config:
               [echo] backing up tomcat configuration files
             [delete] Deleting 50 files from C:\Program Files\McAfee\ePolicy Orchestrator\Installer\core\bak\config
               [copy] Copying 50 files to C:\Program Files\McAfee\ePolicy Orchestrator\Installer\core\bak\config

           

          upgrade-server-xml:
               [xslt] Processing C:\PROGRA~1\McAfee\EPOLIC~1\server\conf\server.xml to C:\PROGRA~1\McAfee\EPOLIC~1\server\conf\server-modified.xml
               [xslt] Loading stylesheet C:\Program Files\McAfee\ePolicy Orchestrator\Installer\core\scripts\upgrade-server.xsl
               [xslt] C:/Program%20Files/McAfee/ePolicy%20Orchestrator/Installer/core/scripts/upgrade -server.xsl:3: Warning! Running an XSLT 1.0 stylesheet with an XSLT 2.0 processor
               [move] Moving 1 file to C:\PROGRA~1\McAfee\EPOLIC~1\server\conf

           

          db-upgrade:
            [run-sql] log4j:WARN No appenders could be found for logger (com.mcafee.orion.core.db.base.Database).
            [run-sql] log4j:WARN Please initialize the log4j system properly.
            [run-sql] 1: ----------------------------------------------------------
            [run-sql] -- Updates...
            [run-sql] 1: -------------------------------------------------------
            [run-sql] -- Update the...
            [run-sql] 0: IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[db...

           

          upgrade-orion-properties:
          [propertyfile] Updating property file: C:\PROGRA~1\McAfee\EPOLIC~1\server\conf\orion\orion.properties

           

          upgrade-extensions:
          extension console was migrated to version 1.5.4
          [migrate-extension] java.io.IOException: Extention dir already exists:C:\Program Files\McAfee\ePolicy Orchestrator\Server\extensions\installed\help\1.5.3
          [migrate-extension]     at com.mcafee.orion.core.ext.ExtensionExtractor.extract(ExtensionExtractor.java:97 )
          [migrate-extension]     at com.mcafee.orion.core.ext.ExtensionInstaller.upgradeImpl(ExtensionInstaller.jav a:661)
          [migrate-extension]     at com.mcafee.orion.core.ext.ExtensionInstaller.upgrade(ExtensionInstaller.java:60 8)
          [migrate-extension]     at com.mcafee.orion.core.ext.ExtensionInstaller.upgrade(ExtensionInstaller.java:51 1)
          [migrate-extension]     at com.mcafee.orion.core.ext.ExtensionInstaller.migrateToAtLeast(ExtensionInstalle r.java:564)
          [migrate-extension]     at com.mcafee.orion.core.install.MigrateExtensionToAtLeastTask.manageExtension(Mig rateExtensionToAtLeastTask.java:28)
          [migrate-extension]     at com.mcafee.orion.core.install.ExtensionManagementTask.execute(ExtensionManageme ntTask.java:62)
          [migrate-extension]     at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:275)
          [migrate-extension]     at org.apache.tools.ant.Task.perform(Task.java:364)
          [migrate-extension]     at org.apache.tools.ant.Target.execute(Target.java:341)
          [migrate-extension]     at org.apache.tools.ant.Target.performTasks(Target.java:369)
          [migrate-extension]     at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1216)
          [migrate-extension]     at org.apache.tools.ant.Project.executeTarget(Project.java:1185)
          [migrate-extension]     at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java :40)
          [migrate-extension]     at org.apache.tools.ant.Project.executeTargets(Project.java:1068)
          [migrate-extension]     at org.apache.tools.ant.Main.runBuild(Main.java:668)
          [migrate-extension]     at org.apache.tools.ant.Main.startAnt(Main.java:187)
          [migrate-extension]     at org.apache.tools.ant.launch.Launcher.run(Launcher.java:246)
          [migrate-extension]     at org.apache.tools.ant.launch.Launcher.main(Launcher.java:67)

           

          BUILD FAILED
          C:\Program Files\McAfee\ePolicy Orchestrator\Installer\core\build.xml:485: java.io.IOException: Extention dir already exists:C:\Program Files\McAfee\ePolicy Orchestrator\Server\extensions\installed\help\1.5.3

           

          Total time: 2 seconds

          • 2. Re: Help with EPO4.0 upgrade to 4.0P6

            Finally figured it out.

             

            Setup failed the first time and created these 1.5.3 folders and 2 tables in the database.

             

            These 2 error message kept popping up everytime I tried to install it:

             

            BUILD FAILED
            C:\Program Files\McAfee\ePolicy Orchestrator\Installer\core\build.xml:485: java.io.IOException: Extention dir already exists:C:\Program Files\McAfee\ePolicy Orchestrator\Server\extensions\installed\help\1.5.3

             

            &

             

            1: FAILURE: In LaunchAppAndWait while trying to run the following program:
            "C:\PROGRA~1\McAfee\EPOLIC~1\jre\bin\java.exe"


            Return code: 1
            Error Message: Incorrect function.


            RE: BUILD FAILED: I deleted the folder and then re-ran the install and see the same error thinking why is it doing that?  I just deleted that folder.  But it was trying to create the same folder name in another directory:

             

            C:\Program Files\McAfee\ePolicy Orchestrator\Server\extensions\installed\schedule\1.5.3

            vs.

            C:\Program Files\McAfee\ePolicy Orchestrator\Server\extensions\installed\help\1.5.3

             

            I deleted both and deleted 2 tables out of the DB for good measure (reading from another thread):

             

            OrionExtensionsBackup

            OrionConfigurationsBackup

             

            After that the install worked.  Both errors went away and the install went through smoothly.

             

            Had nothing to do with my password, namingconvention registry keys, console access or any of the KB articles.

             

            Hopefully this helps someone else out.

             

             

            Message was edited by: drewdown on 1/14/10 3:52:43 PM GMT-05:00